
%global meadversion 2.0.1
%global namedversion 2.0.1.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 2
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jboss-annotations-api_1.3_spec}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.0.1.Final-redhat-00001

Name:           %{?scl_prefix}jboss-annotations-api_1.3_spec
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Common Annotations 1.3 API
Group:          Development/Java

%if %with mead
Source100: jboss-annotations-api_1.3_spec-2.0.1.Final-redhat-00001-project-sources.tar.gz
Source102: jboss-annotations-api_1.3_spec-2.0.1.Final-redhat-00001.jar
Source103: jboss-annotations-api_1.3_spec-2.0.1.Final-redhat-00001-javadoc.jar
Source104: jboss-annotations-api_1.3_spec-2.0.1.Final-redhat-00001.pom
Source105: jboss-annotations-api_1.3_spec-2.0.1.Final-redhat-00001-sources.jar
%endif

License:        EPL-2.0
URL:            https://github.com/jboss/jboss-annotations-api_spec
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
JSR 250: Common Annotations for the Java(TM) Platform.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jboss-annotations-api_1.3_spec
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jboss-annotations-api_1.3_spec-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jboss-annotations-api_1.3_spec-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-annotations-api_1.3_spec-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-annotations-api_1.3_spec-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-annotations-api_1.3_spec-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-annotations-api_1.3_spec-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-annotations-api_1.3_spec-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jboss-annotations-api_1.3_spec-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jboss-annotations-api_1.3_spec-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-annotations-api_1.3_spec-%{namedversion} -x META-INF/\*
%{__ln_s} jboss-annotations-api_1.3_spec-%{namedversion} %{buildroot}%{_javadocdir}/jboss-annotations-api_1.3_spec
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%if 0
%doc LICENSE README
%endif
%{_javadir}/jboss-annotations-api_1.3_spec-%{namedversion}.jar
%{_javadir}/jboss-annotations-api_1.3_spec.jar
%if %with javadoc
%{_javadir}/jboss-annotations-api_1.3_spec-%{namedversion}-javadoc.jar
%{_javadir}/jboss-annotations-api_1.3_spec-javadoc.jar
%endif
%{_javadir}/jboss-annotations-api_1.3_spec-%{namedversion}-sources.jar
%{_javadir}/jboss-annotations-api_1.3_spec-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jboss-annotations-api_1.3_spec-%{namedversion}
%{_javadocdir}/jboss-annotations-api_1.3_spec
%endif

%changelog
* Fri Oct 18 2019 Permaine Cheung <pcheung@redhat.com> - 2.0.1-2.Final_redhat_00001.1
- Fix License

* Wed Oct 09 2019 Yong Yang <yyang@redhat.com> - 2.0.1-1.Final_redhat_00001.1
- RPM wrapper build 2.0.1.Final-redhat-00001

* Fri Jul 06 2018 Permaine Cheung <pcheung@redhat.com> - 1.0.1-1.Final_redhat_1.1
- Wrapper for EAP 7.2.0

* Fri Jul 06 2018 Permaine Cheung <pcheung@redhat.com> - 1.0.1-1.Final_redhat_1.1
- Wrapper for EAP 7.2.0

* Fri Jul 06 2017 Permaine Cheung <pcheung@redhat.com> - 1.0.1-1.Final_redhat_1.1
- inital checking
